/***************************************************************/
/*   METAGRAPHICS SOFTWARE CORPORATION (c) 1994                */
/*                                                             */
/* Note that 4.4C of MetaWINDOW doesn't pay attention to       */
/* this, because most VESA drivers report incorrectly anyway.  */
/*                                                             */
/* This example shows you how to force MetaWINDOW to use the   */
/* VESA function 07 to do page flipping.                       */
/*                                                             */
/* It's mostly useful for ATI VESA drivers which don't properly*/
/* report that they support more than 1 page.  This includes   */
/* the VVESA 2.21 driver.                                      */
/*                                                             */
/***************************************************************/

#include "metawndo.h"

void SetMaxPages ( int pages, grafMap *theMap )
{
   // This is our hidden variable where we store the maximum number
   // of pages.  Shhhhhhh!
   theMap->mapTable[5] = (Byte **)pages;
}

void main ()
{
   grafPort *scrnPort;

   InitGraphics (VESA640x480X);
   GetPort (&scrnPort);                         // Yes, &scrnPort is correct.
                                                // check the manual.

   SetMaxPages (2, scrnPort->portMap);          // Has to be called before
                                                // SetBitmap()

   SetBitmap( GrafPgAll, scrnPort->portMap );   // Sets up the grafMap for
                                                // multiple pages.

   //
   // Your animation code here.
   //

   SetPort (scrnPort);                         // Clean up and exit.
   SetDisplay (TextPg0);
   StopGraphics();
}
